<html><head>
<meta http-equiv=content-language content=zh-cn>
<meta http-equiv=content-type content="text/html; charset=gb2312">
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7">
<LINK href="../CSS/Base.css" rel=stylesheet>
<link href="../CSS/Common.css" rel="stylesheet" type="text/css"/>
<link href="../CSS/SurveyList.css" rel="stylesheet" type="text/css"/>
<LINK href="../CSS/Window.css" type=text/css rel=stylesheet>
<script type="text/javascript" src="../JS/Common.js.php"></script>
<script type="text/javascript" src="../JS/Window.js.php"></script>
<script type="text/javascript" src="../JS/Browser.js.php"></script>
<script type="text/javascript" src="../JS/Actions.js.php"></script>
<script language=javascript src="../JS/CheckQuestion.js.php"></script>

<script type="text/javascript" src="../JS/Jquery.min.js.php"></script>
<script type="text/javascript" src="../JS/Jquery.notification.js.php"></script>
<link type="text/css" rel="stylesheet" href="../CSS/Notification.css" />

<style>
.classtd { padding:2px 5px 2px 5px;height:28px;line-height:28px}
</style>

<script>
function Check_Form_Validator()
{
   if( document.getElementById('t_userGroupID_1') != null )
   {
		if( !CheckListNoSelect(document.getElementById('t_userGroupID_1'),"用户节点一")) {return false;}
   }
   else
   {
		$.notification("输入节点名中的关键字获得可选择的节点列表!");
		document.getElementById('t_userGroupID_text_1').focus();
		return false;
   }
   if( document.getElementById('t_userGroupID_2') != null )
   {
		if( !CheckListNoSelect(document.getElementById('t_userGroupID_2'),"用户节点二")) {return false;}
   }
   else
   {
		$.notification("输入节点名中的关键字获得可选择的节点列表!");
		document.getElementById('t_userGroupID_text_2').focus();
		return false;
   }
}
function ajax_Submit(url,postStr) {
	var ajax=false; 
	try { ajax = new ActiveXObject("Msxml2.XMLHTTP"); }
	catch (e) { try { ajax = new ActiveXObject("Microsoft.XMLHTTP"); } catch (E) { ajax = false; } }
	if (!ajax && typeof XMLHttpRequest!='undefined') ajax = new XMLHttpRequest(); 

	ajax.open("POST", url, true); 
	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded"); 
	ajax.send(postStr);
	ajax.onreadystatechange = function(){
		if (ajax.readyState == 4)
		{
			if(ajax.status == 200)
			{
				var theRtnText = ajax.responseText.split('######');
				if( theRtnText[0] == 'false')
				{
					document.getElementById("dataMatchingMap").innerHTML = '' ;
                    $.notification(theRtnText[1]);
				}
				else
				{
					document.getElementById("dataMatchingMapTable").style.display = '';
					document.getElementById("dataMatchingCopyAction").style.display = '';
					document.getElementById("dataMatchingMap").innerHTML = theRtnText[1] ;
					adjustMenuWarpSize();
				}
			}
			else
			{
				$.notification('网络传输问题');
			}
		}	
	} 
}
function DataMatchingSubmit()
{
    if( Check_Form_Validator() != false )
	{
		var surveyID = {surveyID};
		var ParamString = "Action=DataMatchingSubmit" ;
		ParamString += "&surveyID="+surveyID;
		ParamString += "&t_userGroupID_1="+getRadioCheckBoxValue(document.getElementById('t_userGroupID_1'));
		ParamString += "&t_userGroupID_2="+getRadioCheckBoxValue(document.getElementById('t_userGroupID_2'));
	    if( document.getElementById('t_userGroupID_3') != null )
	    {
			ParamString += "&t_userGroupID_3="+getRadioCheckBoxValue(document.getElementById('t_userGroupID_3'));
		}
	    if( document.getElementById('t_userGroupID_4') != null )
	    {
			ParamString += "&t_userGroupID_4="+getRadioCheckBoxValue(document.getElementById('t_userGroupID_4'));
		}
		document.getElementById("dataMatchingMapTable").style.display = '';
		document.getElementById("dataMatchingMap").innerHTML = "<div id=\"preloading\" style=\"background-color:#f0f0f0;width:160px;overflow:hidden;white-space:nowrap;color:black;font-weight:bold;-moz-border-radius-bottomright:5px;-webkit-border-bottom-right-radius:5px;-khtml-border-bottom-right-radius:5px;border-bottom-right-radius:5px;\">&nbsp;<img src=\"..\/Images\/wait.gif\" width=\"16px\" height=\"16px\">&nbsp;正在加载数据分析&nbsp;<\/div>";
		ajax_Submit('{thisURL}',ParamString);
	}
}

function refreshParent() {
   self.location.replace(self.location.href);
}
var http_request = false;
function AjaxDataListRequest(url,textType)
{
	http_request = false;
	if(window.ActiveXObject){
		try{ http_request = new ActiveXObject("Msxml2.XMLHTTP");}
		catch (e){ try{ http_request = new ActiveXObject("Microsoft.XMLHTTP");} catch (e) {}
		}
	}
	else if(window.XMLHttpRequest){
		http_request = new XMLHttpRequest();
		if (http_request.overrideMimeType){ http_request.overrideMimeType('text/xml');}
	}	
	if (!http_request){ alert("Cannot create an XMLHTTP instance");return false;}
	http_request.onreadystatechange = function() {
	  if( http_request.readyState == 4 && http_request.status == 200) {
			 var theRtn = http_request.responseText.split('######');
			 if( theRtn[0] == 'false' )
			 {
				  $.notification(theRtn[1]);
				  var t_userGroupID_text = eval("document.getElementById('t_userGroupID_text_"+textType+"');");
				  t_userGroupID_text.focus();
			 }
			 else
			 {
				var t_userGroupID_container = eval("document.getElementById('t_userGroupID_container_"+textType+"');");
				var b_SearchUsersSubmit = eval("document.getElementById('SearchUsersSubmit_"+textType+"');");
				t_userGroupID_container.innerHTML = theRtn[1];
			    b_SearchUsersSubmit.value = '清空';
			 }
		}
	}
	http_request.open('GET', url, true);
	http_request.send(null);
}
function checkUserSubmit(textType)
{
	var t_userGroupID = eval("document.getElementById('t_userGroupID_"+textType+"');");
	var t_userGroupID_text = eval("document.getElementById('t_userGroupID_text_"+textType+"');");
	var t_userGroupID_container = eval("document.getElementById('t_userGroupID_container_"+textType+"');");
	var b_SearchUsersSubmit = eval("document.getElementById('SearchUsersSubmit_"+textType+"');");

	if( t_userGroupID == null )
	{
		if(Trim(t_userGroupID_text.value) == '' )
		{
			$.notification("输入节点名中的关键字获得可选择的节点列表!");
			t_userGroupID_text.focus();
		}
		else
		{
			AjaxDataListRequest("../System/AjaxUserNodes.php?projectOwner={projectOwner}&surveyID={surveyID}&type=datamatch&textType="+textType+"&t_name="+Trim(t_userGroupID_text.value),textType);		
		}
	}
	else
	{
		t_userGroupID_container.innerHTML = "<input name=\"t_userGroupID_text_"+textType+"\" id=\"t_userGroupID_text_"+textType+"\" size=30>";
		b_SearchUsersSubmit.value = '检索';
	}
}
function copycode(obj) {
    var rng = document.body.createTextRange();
    rng.moveToElementText(obj);
    rng.scrollIntoView();
    rng.select();
    rng.execCommand("Copy");
    rng.collapse(false);
	$.notification("复制分析结果到剪贴板成功");
}
function ResetInit()
{
	document.getElementById("dataMatchingMapTable").style.display = 'none';
	document.getElementById("dataMatchingCopyAction").style.display = 'none';
	document.getElementById("dataMatchingMap").innerHTML = '' ;
	gId("t_userGroupID_container_1").innerHTML = "<input name=\"t_userGroupID_text_1\" id=\"t_userGroupID_text_1\" size=30>";
	gId("SearchUsersSubmit_1").value = '检索';
	gId("t_userGroupID_container_2").innerHTML = "<input name=\"t_userGroupID_text_2\" id=\"t_userGroupID_text_2\" size=30>";
	gId("SearchUsersSubmit_2").value = '检索';
	gId("t_userGroupID_container_3").innerHTML = "<input name=\"t_userGroupID_text_3\" id=\"t_userGroupID_text_3\" size=30>";
	gId("SearchUsersSubmit_3").value = '检索';
	gId("t_userGroupID_container_4").innerHTML = "<input name=\"t_userGroupID_text_4\" id=\"t_userGroupID_text_4\" size=30>";
	gId("SearchUsersSubmit_4").value = '检索';
}
</script>
<META content="MSHTML 6.00.3790.0" name=GENERATOR></HEAD>
<body oncontextmenu="return false" style="background-color:#244d8f;">

<div style="line-height:10px">&nbsp;</div>
<div id="menu">
  <span style="float:left;padding-left:26px;"><div class="navmenu">数据报告中心 &raquo; 指标分析对比</div></span>
  <span style="float:right">
  <ul><li><a href="../System/ShowMain.php">我的问卷</a></li>
      <li><a href="../Analytics/DataOverview.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">标准报告</a>
      <li><a href="../Analytics/DefineReport.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">自定义报告</a></li>
      <li><a href="../Analytics/DataList.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">回复数据</a></li>
      <li><a href="../Analytics/EventAward.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">调查奖励</a></li>
      <li><a href="../Analytics/PanelArea.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">样本来源</a></li>
      <li><a href="../Analytics/TaskResult.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">计划任务</a></li>
      <li class="current"><a href="../Analytics/SurveyIndexResult.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">指标分析</a></li>
	  </ul></span>
</div>

<div class="wrap q_clear" id=wrap>
<div>
<div class=content>
<div class=q_clear id=mysurvey><h1>[<font color=red>{surveyTitle}</font>] 指标分析对比</h1><br/></div>
<div id=myname>基于项目需要，组合问卷内一个或多个问题为一个评估指标，用以需要观察样本在不同指标维度上的分值表现</div>
<div class="datalist">

<table class=datatable width=100% cellspacing=0 cellpadding=0 style="border-left:0px;border-right:0px">
  <tr>
      <td width=1% noWrap style="border:0px">&nbsp;</td>
      <td width=107 nowrap style="border:0px"><b>选择数据处理方向</b></td>
      <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-left:1px #b5cfd9 solid;border-right:1px #b5cfd9 solid;border-bottom:0px"><a href="../Analytics/SurveyIndexResult.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">分析数据生成</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-right:1px #b5cfd9 solid;border-bottom:0px"><a href="../Analytics/SurveyIndexResult.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}&Does=List" style="color:#444444">指标分析数据</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-right:1px #b5cfd9 solid;border-bottom:0px;"><a href="../Analytics/SurveyIndexResult.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}&Does=Rank" style="color:#444444">指标分析排名</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#244d8f" align=center style="border-right:1px #b5cfd9 solid;border-bottom:0px;"><a href="../Analytics/SurveyIndexResult.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}&Does=Match" style="color:white">指标分析对比</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
	  <td width=110 nowrap bgcolor="#eeeeee" align=center style="border-right:1px #b5cfd9 solid;border-bottom:0px;"><a href="../Analytics/SurveyIndexResult.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}&Does=Weight" style="color:#444444">设定选项权重值</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
 	  <td width=* style="border:0px;border-right:0px;">&nbsp;</td>
 </tr>
</table>

</div>
<div>
  <table style="border-top: #b5cfd9 1px solid;border-bottom: #b5cfd9 1px solid;" width=100% id="datatable" cellspacing=0 cellpadding=0>
   <tr><td height=5></td></tr>
   <tr><td>
      <b>选择用户节点一：</b><span id="t_userGroupID_container_1"><input name="t_userGroupID_text_1" id="t_userGroupID_text_1" size=30></span>&nbsp;<input name="SearchUsersSubmit_1" class=inputsubmit type="button" id="SearchUsersSubmit_1" value="检索" onclick="javascript:checkUserSubmit(1);"></td></tr>
   <tr><td height=10></td></tr>
   <tr><td>
      <b>选择用户节点二：</b><span id="t_userGroupID_container_2"><input name="t_userGroupID_text_2" id="t_userGroupID_text_2" size=30></span>&nbsp;<input name="SearchUsersSubmit_2" class=inputsubmit type="button" id="SearchUsersSubmit_2" value="检索" onclick="javascript:checkUserSubmit(2);"></td></tr>
   <tr><td height=10></td></tr>
   <tr><td>
      <b>选择用户节点三：</b><span id="t_userGroupID_container_3"><input name="t_userGroupID_text_3" id="t_userGroupID_text_3" size=30></span>&nbsp;<input name="SearchUsersSubmit_3" class=inputsubmit type="button" id="SearchUsersSubmit_3" value="检索" onclick="javascript:checkUserSubmit(3);"></td></tr>
   <tr><td height=10></td></tr>
   <tr><td>
      <b>选择用户节点四：</b><span id="t_userGroupID_container_4"><input name="t_userGroupID_text_4" id="t_userGroupID_text_4" size=30></span>&nbsp;<input name="SearchUsersSubmit_4" class=inputsubmit type="button" id="SearchUsersSubmit_4" value="检索" onclick="javascript:checkUserSubmit(4);"></td></tr>
   <tr><td height=8></td></tr>
   <tr><td>
         <input class=inputsubmit name="submit" type="button" id="submit" value="开始对比" onclick="javascript:DataMatchingSubmit();" > 
         <input class=inputsubmit name="reset" type="reset" id="reset" value="&nbsp;&nbsp;重置&nbsp;&nbsp;" onclick="javascript:ResetInit();" >
      </td>
    </tr>
   <tr><td height=5></td></tr>
  </form>
 </table>

   <table id="dataMatchingCopyAction" width=100% style="LINE-HEIGHT: 150%;border-collapse:collapse;display:none;margin-bottom:0px;margin-top:10px" cellSpacing=0 cellPadding=0 borderColor=#b5cfd9 border=0><tr><td align=right bgcolor="#eeeeee" style="border:1px #b5cfd9 solid;border-bottom:0px;height:30px;"><a href="javascript:void(0)" onclick="copycode(gId('dataMatchingMap'));"><font color="#444444">复制分析结果到剪贴板</font></a><img src="../Images/list_menu_arrow.gif" border=0>&nbsp;&nbsp;</td></tr></table>

 <table id="dataMatchingMapTable" style="LINE-HEIGHT: 150%;border-collapse:collapse;display:none;" cellSpacing=0 cellPadding=0 width="100%" borderColor=#b5cfd9 border=1>
   <tr><td id="dataMatchingMap" align=left style="padding-top:5px;padding-bottom:5px"></td></tr>
 </table>
</div></div></div>
<script>adjustMenuWarpSize();</script>
</body></html>
